
%define is_release 1

Summary: KDE WebDev - WEB Development package for the K Desktop Environment 
Name: 	 kdewebdev 
Group:	 Applications/Editors
Epoch:	 6
Version: 3.5.6
Release: 1%{?dist}%{?kde}

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Url:	 http://kdewebdev.org/	
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# 2004-11-23
Source1: http://dl.sourceforge.net/quanta/css.tar.bz2
Source2: http://dl.sourceforge.net/quanta/html.tar.bz2
Source3: http://dl.sourceforge.net/quanta/javascript.tar.bz2
Source4: http://dl.sourceforge.net/quanta/php.tar.bz2
Source5: http://dl.sourceforge.net/sourceforge/quanta/mysql-20030405.tar.bz2

Patch1: javascript.patch

BuildRequires: kdelibs-devel >= 6:%{version}
Requires: kdelibs >= 6:%{version}
%if "%{is_release}" != "1"
BuildRequires: automake
%endif
BuildRequires: kdesdk-devel >= 0:%{version}
## libgcrypt-devel is a bogus dep in libexslt.la file from EL4/Fedora Core (redhat bug #142241)
BuildRequires: libxslt-devel libgcrypt-devel

Requires(post):   xdg-utils
Requires(postun): xdg-utils

# recommended ones
Requires(hint): tidy
Requires(hint): gnupg

Obsoletes: quanta < %{epoch}:3.2.90
Provides:  quanta %{epoch}:%{version}-%{release}

%description
This package includes Quanta Plus and other applications, which are useful
for web development.  The extra applications are:

Kommander: a GUI script builder and executor tool. Needed for some Quanta functionality.
KFileReplace: powerful search and replace in multiple files
KXSLDbg: XSL debugger
KImageMapEditor: image map editor
KLinkStatus: link validity checker

%package devel
Summary: Development files for %{name} 
Group:	 Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel 
%description devel
Development files for %{name} 


%prep
%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta} -a1 -a2 -a3 -a4 -a5
%else 
%setup -q -n %{name} -a1 -a2 -a3 -a4 -a5
%endif

%patch1 -p0 -b .javascript

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?debug:  --enable-debug --enable-warnings --disable-final } 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Some installed libs lack eXecute (?) -- Rex
for solib in ${RPM_BUILD_ROOT}%{_libdir}/lib*.so* ; do
  if [ ! -x ${solib} ]; then
  echo "WARNING: installed ${solib} lacking eXecute bit, fixing..."
  chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.*
  fi
done

## install docs
for i in css html javascript mysql php ; do
  pushd $i
  ./install.sh <<EOF
$RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc
EOF
  popd
done

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d ${RPM_BUILD_ROOT}${HTML_DIR} ]; then
for lang_dir in ${RPM_BUILD_ROOT}${HTML_DIR}/* ; do
  if [ -d ${lang_dir} ]; then
    lang=$(basename ${lang_dir})
    echo "%lang(${lang}) ${HTML_DIR}/${lang}/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd ${lang_dir}
      for i in *; do
        [ -d ${i} -a -L ${i}/common ] && ln -nsf ../common ${i}/common
      done
    popd
  fi
done  
fi  

mv %{name}.lang %{name}.list

# Handle .la, .so files (v0.6)
[ ! -f %{name}.list ] && echo "%defattr(-,root,root,-)" > %{name}.list
[ ! -f devel.list ]  && echo "%defattr(-,root,root,-)" > devel.list
for solib in ${RPM_BUILD_ROOT}%{_libdir}/*.so* ; do
  soname=$(basename ${solib})
  base=$(basename ${soname} .so)
  if [ -L ${solib} ]; then
    if [ "${soname}" == "${base}.so" ]; then
      echo "%{_libdir}/${soname}" >> devel.list
      if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
        ## Should be able to omit these, but that's not always true -- Rex
        #echo "%exclude %{_libdir}/${base}.la" >> devel.list
        echo "%{_libdir}/${base}.la" >> devel.list
      fi
    else
      echo "%{_libdir}/${soname}" >> %{name}.list
    fi
  else
    if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
      ## Should be safe since we patched kdelibs, but that not always true (either) -- Rex
      #echo "%exclude %{_libdir}/${base}.la" >> %{name}.list
      echo "%{_libdir}/${base}.la" >> %{name}.list
    fi
    echo "%{_libdir}/${soname}" >> %{name}.list
  fi
done

# put devel'ish stuff in main pkg, for now.  -- Rex
cat devel.list >> %{name}.list && cat /dev/null > devel.list


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.list
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/apps/*
%{_datadir}/appl*/*/*
%{_datadir}/applnk/.hidden/*
%config %{_datadir}/config*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/service*/*

%files devel -f devel.list
%defattr(-,root,root,-)
%{_includedir}/kde/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-1
- kde-3.5.6

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-1
- kde-3.5.4

* Wed May 24 2006 Rex Dieter 6:3.5.3-1.0
- kde-3.5.3

* Mon Mar 20 2006 Rex Dieter 6:3.5.2-1.0
- kde-3.5.2

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

* Mon Jan 09 2006 Rex Dieter 6:3.5.0-1.6
- remove hard-coded reference to libkommanderplugin.la

* Mon Jan 09 2006 Rex Dieter 6:3.5.0-1.5
- bring back .la files, put in main pkg (grr)

* Sat Jan 07 2006 Rex Dieter 6:3.5.0-1.4
- patch for "libkommander*.so.0.0.0 contain undefined symbols" (kde bug #119629)

* Fri Jan 06 2006 Rex Dieter 6:3.5.0-1.3
- Handle .la, .so files (v0.6)
- document "libkommander*.so.0.0.0 contain undefined symbols" (kde bug #119629)
- (some) shared libs lacked eXecute bit.

* Fri Dec 08 2005 Rex Dieter 6:3.5.0-1.2
- --enable-new-ldflags
- --disable-gcc-hidden-visibility

* Sat Nov 26 2005 Rex Dieter 6:3.5.0-1.1
- respin

* Mon Nov 21 2005 Rex Dieter 6:3.5.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 6:3.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Fri Aug 12 2005 Rex Dieter 6:3.4.2-1.2.kde
- respin

* Thu Jul 21 2005 Rex Dieter 6:3.4.2-1.0.kde
- kde-3.4.2

* Mon Jun 20 2005 Rex Dieter 6:3.4.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Tue May 24 2005 Rex Dieter 6:3.4.1-1.0.kde
- 3.4.1

* Tue May 03 2005 Rex Dieter 6:3.4.0-1.7.kde
- http://www.kde.org/info/security/advisory-20050504-1.txt

* Mon Apr 25 2005 Rex Dieter 6:3.4.0-1.6.kde
- yavplp (yet another vpl patch, #99826)

* Thu Apr 21 2005 Rex Dieter 6:3.4.0-1.5.kde
- another VPL patch (kde bug #99826)

* Fri Apr 15 2005 Rex Dieter 6:3.4.0-1.4.kde
- refresh docs to 2004-11-23 versions
- include mysql(20030405) docs
- include VPL-patch (kde bug #99826)

* Thu Apr 14 2005 Rex Dieter 6:3.4.0-1.3.kde
- http://www.kde.org/info/security/advisory-20050420-1.txt

* Tue Mar 29 2005 Rex Dieter 6:3.4.0-1.2.kde
- fix loading of libkommanderwidgets

* Wed Mar 23 2005 Rex Dieter 6:3.4.0-1.1.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)

* Fri Mar 05 2005 Rex Dieter 6:3.4.0-1.0.kde
- 3.4.0(final)

* Wed Mar 02 2005 Rex Dieter 6:3.4.0-0.1.rc1
- patch for libxml2 < 2.6 (kde bug #100575), 
  so we can re-enable quanta.

* Tue Feb 24 2005 Rex Dieter 6:3.4.0-0.0.rc1
- tweak libxml2 detection for conditional quanta build

* Tue Feb 15 2005 Rex Dieter 6:3.3.92-0.0.kde
- 3.3.92

* Sat Jan 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.1.kde
- -devel: Req: %%name = %%epoch:%%version-%%release 

* Thu Jan 06 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.0.kde
- follow rh's lead and introduce Epoch:6 (why'd they do that?)

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 3.3.2-1.0.kde
- 3.3.2

* Tue Nov 23 2004 Rex Dieter <rexdieter[AT]users.sf.net> 3.3.1-1.0.kde
- fc3

* Tue Oct 05 2004 Rex Dieter <rexdieter at sf.net> 3.3.1-0.0.kde
- 3.3.1

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 3.3.0-1.0.kde
- 3.3.0

